import { inject, observer } from "mobx-react";
import BTable from "@/components/b_table";
import { useEffect } from "react";
import { Store } from "antd/lib/form/interface";
import { columns } from "./permission_config";
import "./permission.less";

const Permission = (props: Store) => {
  const { usrStore } = props;

  useEffect(() => { }, []);

  return (
    <div className="contentBox">
      <BTable
        store={usrStore}
        scroll={{ x: "max-content" }}
        columns={columns}
        dataSource={usrStore.list}
      />
    </div>
  );
};

export default inject("usrStore")(observer(Permission));
